{ nixosConfig, lib, ... }:
{
  xdg.configFile."uwsm/env".text = ''
export GDK_BACKEND=wayland,x11,*
export GDK_SCALE=2 # GDK Scaling Factor (no fractional scaling)

export MOZ_ENABLE_WAYLAND=1
export MOZ_DISABLE_RDD_SANDBOX=1

export OZONE_PLATFORM=wayland

export ELECTRON_OZONE_PLATFORM_HINT=auto

export SDL_VIDEODRIVER=wayland
export CLUTTER_BACKEND=wayland

export QT_QPA_PLATFORM=wayland;xcb
export QT_QPA_PLATFORMTHEME=qt5ct
export XDG_MENU_PREFIX=plasma-
export QT_QPA_PLATFORMTHEME_QT6=qt5ct
export GTK_THEME=Adwaita:dark
export QS_ICON_THEME=Papirus-Dark

export LIBVA_DRIVER_NAME=nvidia
export __GLX_VENDOR_LIBRARY_NAME=nvidia
export XDG_SESSION_DESKTOP=Hyprland
export GBM_BACKEND=nvidia-drm
export TERMINAL=kitty

export __GL_GSYNC_ALLOWED=1
export __GL_VRR_ALLOWED=1

export EDITOR=code
export STLEDITOR=code

export XCURSOR_SIZE=16
  '';
  xdg.configFile."uwsm/env-hyprland".text = ''
export AQ_DRM_DEVICES=/dev/dri/nvidia-dgpu
  '';
}
